get
https://your-url-here.com/AccountAPI/accounts
Provides account details based on account search criteria
Body Response - Schema
200 OK
{
"_embedded": {
"accounts": [
{
"id": "account_id_1234546",
"account_number": "1234-124-1",
"currency_code": "EUR",
"description": "PRIMARY SHARE,",
"iban": "LU280019400644750000",
"financial_institution_name": "King Julian Bank",
"swift_code": "KIJBLULU",
"account_name": "My Personal Account",
"account_type": "CHECKING",
"parties": [
{
"contact_id": "AC12334543",
"role": "HOLDER",
"custom_role": "OTHER_ROLE"
}
],
"update_at": "2021-04-13",
"open_date": "1969-05-28",
"balance": "257.87",
"available_balance": "10234.87",
"status": "ACTIVE",
"custom_type": "Other type",
"custom_status": "Other status",
"custom_fields": [
{
"name": "custom field 1",
"value": "custom value 1"
}
],
"loan_number": "Loan number",
"interest_details": {
"interest_rate": "interestRate",
"interest_rate_type": "VARIABLE",
"last_interest_paid": "lastInterestPaid",
"last_interest_paid_date": "2021-04-13",
"ytd_interest_paid": "ytdInterestPaid",
"previous_year_interest_paid": "previousYearInterestPaid"
},
"previous_year_taxes_paid": "previousYearTaxesPaid",
"last_statement_date": "2021-04-13",
"credit_limit": "creditLimit",
"statement_balance": "statementBalance",
"next_closing_date": "2021-04-13",
"periodic_frequency": "periodicFrequency",
"purchase_apr": "purchaseApr",
"cash_advance_apr": "cashAdvanceApr",
"balance_transfer_apr": "balanceTransferApr",
"term": "term",
"loan_start_date": "2021-5-11",
"maturity_date": "2021-5-11",
"loan_amount": "loanAmount",
"property_address": "propertyAddress",
"automatic_payment": true,
"automatic_payment_date": "2021-5-11",
"monthly_loan_payment_details": {
"monthly_loan_payment": "monthlyLoanPayment",
"principal_payment": "principalPayment",
"interest_payment": "interestPayment",
"monthly_escrow_payment": "monthlyEscrowPayment",
"fee": "fee"
},
"account_routing_number": "accountRoutingNumber",
"transfer_authorization": "INQUIRY",
"transfer_rules": {
"transferIn": false,
"transfer_out_own_accounts": false,
"transfer_out_others": false,
"transfer_out_external": false,
"transfer_out_international": false,
"withdrawals_by_check": false
}
}
]
},
"total": 1
}400 's
ErrorInfo:
type: object
properties:
details:
type: array
items:
type: object
$ref: '#/definitions/ErrorDetails'
developerMessage:
type: string
errorCode:
type: string
status:
type: integer
userMessage:
type: string
definitions:
ErrorDetails:
type: object
properties:
message:
type: string
properties:
type: object
$ref: '#/definitions/ErrorDetailsProperties'
stackTrace:
type: string
ErrorDetailsProperties:
type: object
properties:
lineNumber:
type: integer
parameterLocation:
type: string
parameterName:
type: string
TroubleshootingIf you have any questions regarding the usage of this API, or if you’re having any technical issues, please open a ticket using this form.